Yandex Cloud
Поиск
Связаться с экспертомПопробовать бесплатно
  • Кейсы
  • Документация
  • Блог
  • Все сервисы
    • Cloud Interconnect
    • Cloud Backup
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Router
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Managed Service for YDB
    • SpeechKit
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • Container Registry
    • Managed Service for Prometheus®
    • Message Queue
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Cloud Apps
    • Yandex AI Studio
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Yandex Cloud Video
    • Stackland
    • Yandex StoreDoc
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • DataSphere
    • Vision OCR
    • Translate
    • Cloud Registry
    • SmartCaptcha
    • Cloud Desktop
    • Yandex SIEM
    • SourceCraft Code Assistant
    • Managed Service for GitLab
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Serverless Integrations
    • IoT Core
    • Serverless Containers
    • Cloud Notification Service
    • Yandex Query
  • Статус работы сервисов
  • Marketplace
    • Доступны в регионе
    • Инфраструктура и сеть
    • Платформа данных
    • Искусственный интеллект
    • Безопасность
    • Инструменты DevOps
    • Бессерверные вычисления
    • Управление ресурсами
  • Все решения
    • По отраслям
    • По типу задач
    • Экономика платформы
    • Безопасность
    • Техническая поддержка
    • Каталог партнёров
    • Обучение и сертификация
    • Облако для стартапов
    • Облако для крупного бизнеса
    • Центр технологий для общества
    • Партнёрская программа
    • Поддержка IT-бизнеса
    • Облако для фрилансеров
    • Обучение и сертификация
    • Блог
    • Документация
    • Мероприятия и вебинары
    • Контакты, чаты и сообщества
    • Идеи
    • Калькулятор цен
    • Тарифы
    • Акции и free tier
  • Кейсы
  • Документация
  • Блог
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ТОО «Облачные Сервисы Казахстан»
Yandex Identity and Access Management
KZ
  • Безопасное использование Yandex Cloud
  • Управление доступом
  • Правила тарификации
  • Справочник ролей
  • Справочник Terraform
    • Аутентификация в API
      • Overview
        • Overview
        • ListSubjectAccessBindings
  • Метрики Monitoring
  • Аудитные логи Audit Trails
  • История изменений
  • Обучающие курсы

В этой статье:

  • gRPC request
  • ListSubjectAccessBindingsRequest
  • ListSubjectAccessBindingsResponse
  • SubjectAccessBinding
  • Resource
  1. Справочник API
  2. gRPC (англ.)
  3. AccessAnalyzer
  4. ListSubjectAccessBindings

Identity and Access Management API, gRPC: AccessAnalyzerService.ListSubjectAccessBindings

Статья создана
Yandex Cloud
Обновлена 15 декабря 2025 г.
Открыть в Markdown
  • gRPC request
  • ListSubjectAccessBindingsRequest
  • ListSubjectAccessBindingsResponse
  • SubjectAccessBinding
  • Resource

Returns the list of access bindings for the specified subject in chosen organization.

gRPC requestgRPC request

rpc ListSubjectAccessBindings (ListSubjectAccessBindingsRequest) returns (ListSubjectAccessBindingsResponse)

ListSubjectAccessBindingsRequestListSubjectAccessBindingsRequest

{
  "subject_id": "string",
  "organization_id": "string",
  "page_size": "int64",
  "page_token": "string"
}

Field

Description

subject_id

string

Required field. SubjectId to list access bindings for.

The maximum string length in characters is 100.

organization_id

string

Required field. OrganizationId to search access bindings in.

The maximum string length in characters is 50.

page_size

int64

The maximum number of results per page to return. If the number of available
results is larger than page_size,
the service returns a ListSubjectAccessBindingsResponse.next_page_token
that can be used to get the next page of results in subsequent list requests.
Default value: 100

The maximum value is 1000.

page_token

string

Page token. To get the next page of results, set page_token
to the ListSubjectAccessBindingsResponse.next_page_token
returned by a previous list request.

The maximum string length in characters is 2000.

ListSubjectAccessBindingsResponseListSubjectAccessBindingsResponse

{
  "subject_access_bindings": [
    {
      "role_id": "string",
      "resource": {
        "id": "string",
        "type": "string"
      },
      "subject_id": "string"
    }
  ],
  "next_page_token": "string"
}

Field

Description

subject_access_bindings[]

SubjectAccessBinding

List of access bindings for the specified subject.

next_page_token

string

This token allows you to get the next page of results for list requests. If the number of results
is larger than ListSubjectAccessBindingsRequest.page_size, use
the next_page_token as the value
for the ListSubjectAccessBindingsRequest.page_token query parameter
in the next list request. Each subsequent list request will have its own
next_page_token to continue paging through the results.

SubjectAccessBindingSubjectAccessBinding

Field

Description

role_id

string

Role assigned to the subject.

resource

Resource

Resource to which the access binding applies.

subject_id

string

Identifier of the subject to which this role is granted.

ResourceResource

A Resource. For more information, see Resource.

Field

Description

id

string

Required field. ID of the resource.

The maximum string length in characters is 50.

type

string

Required field. The type of the resource, e.g. resource-manager.folder, billing.account, compute.snapshot, etc.

The maximum string length in characters is 64.

Была ли статья полезна?

Предыдущая
Overview
Следующая
Overview
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ТОО «Облачные Сервисы Казахстан»